aboutsummaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorFelix Lange <fjl@twurst.com>2015-04-28 18:53:50 +0800
committerFelix Lange <fjl@twurst.com>2015-04-29 08:13:36 +0800
commit71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6 (patch)
tree734499443f5cb8f0f6e81fcc9fd0a5d6b620b1cc /build
parentf4e5675303b9d66c2900653a1a3a418ed566ffab (diff)
downloadgo-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar.gz
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar.bz2
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar.lz
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar.xz
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.tar.zst
go-tangerine-71c28cfb0c62c90c6881e4a9b857f8c8f692b5e6.zip
Makefile: set main.gitCommit when building
Diffstat (limited to 'build')
-rwxr-xr-xbuild/ldflags.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/build/ldflags.sh b/build/ldflags.sh
new file mode 100755
index 000000000..9e17ca498
--- /dev/null
+++ b/build/ldflags.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f "build/env.sh" ]; then
+ echo "$0 must be run from the root of the repository."
+ exit 2
+fi
+
+# set gitCommit when running from a Git checkout.
+if [ -f ".git/HEAD" ]; then
+ echo "-ldflags '-X main.gitCommit $(git rev-parse HEAD)'"
+fi